=== debian/changelog ===
ros-humble-nav2-smoother (1.1.9-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Matej Vargovcik <vargovcik@robotechvision.com>  Fri, 04 Aug 2023 20:32:04 -0000
