## ros-humble-nav2-smoother 1.1.15

=== debian/changelog ===
ros-humble-nav2-smoother (1.1.15-1bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Matej Vargovcik <vargovcik@robotechvision.com>  Mon, 12 Aug 2024 08:30:00 -0000
