## ros-humble-nav2-smoother 1.1.16

=== debian/changelog ===
ros-humble-nav2-smoother (1.1.16-2bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Matej Vargovcik <vargovcik@robotechvision.com>  Mon, 04 Nov 2024 05:21:00 -0000
